Debian Bug report logs - #659832
new version of login causes error messages on execution

version graph

Package: sux; Maintainer for sux is Meike Reichle <meike@debian.org>; Source for sux is src:sux.

Reported by: GSR <gsr.bugs@infernal-iceberg.com>

Date: Tue, 14 Feb 2012 00:54:01 UTC

Severity: important

Tags: help, jessie, sid, wheezy

Merged with 659912, 692412

Found in version sux/1.0.1-6

Fixed in version 1.0.1-6+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Tue, 14 Feb 2012 00:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to GSR <gsr.bugs@infernal-iceberg.com>:
New Bug report received and forwarded. Copy sent to Meike Reichle <meike@debian.org>. (Tue, 14 Feb 2012 00:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: GSR <gsr.bugs@infernal-iceberg.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sux: bash prints ioctl warnings
Date: Tue, 14 Feb 2012 01:04:38 +0100
Package: sux
Version: 1.0.1-6
Severity: normal

Hi:

After updating to the new login package, when invoking sux the
following bash warnings are printed every time:

---8<---
user1$ /usr/bin/sux - user2
Password:
bash: cannot set terminal process group (-1): Inappropriate ioctl for device
bash: no job control in this shell
user2$
--->8---

Things seem to work anyway, commands can be launched, shell's "jobs"
shows running jobs and so on. Maybe this is related to Debian report
#628843 but invoking su instead of sux generates no warnings, so it
must be something specific to sux.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-2-686-pae (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

sux depends on no packages.

Versions of packages sux recommends:
ii  xauth  1:1.0.6-1

sux suggests no packages.

-- no debconf information




Forcibly Merged 659832 659912. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Thu, 16 Feb 2012 00:39:03 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from jidanni@jidanni.org to control@bugs.debian.org. (Thu, 16 Feb 2012 00:39:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'sux must be fixed to continue to work with new version of login' from 'sux: bash prints ioctl warnings' Request was from jidanni@jidanni.org to control@bugs.debian.org. (Thu, 16 Feb 2012 00:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, sthu.deus@gmail.com, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Sat, 25 Feb 2012 13:12:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sthu <sthu.deus@gmail.com>:
Extra info received and forwarded to list. Copy sent to sthu.deus@gmail.com, Meike Reichle <meike@debian.org>. (Sat, 25 Feb 2012 13:12:46 GMT) Full text and rfc822 format available.

Message #16 received at 659832@bugs.debian.org (full text, mbox):

From: Sthu <sthu.deus@gmail.com>
To: Debian Bug Tracking System <659832@bugs.debian.org>
Subject: Re: sux must be fixed to continue to work with new version of login
Date: Sat, 25 Feb 2012 20:11:35 +0700
Package: sux
Version: 1.0.1-6
Followup-For: Bug #659832

Dear Maintainer,


After upgrade I have:

$ sux - user
Password:
bash: cannot set terminal process group (-1): Inappropriate ioctl for device
bash: no job control in this shell


Please fix it. It is annoying exceedinly.

And thank You for Your work.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (900, 'stable-updates'), (900, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

sux depends on no packages.

Versions of packages sux recommends:
ii  xauth  1:1.0.6-1

sux suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Sat, 03 Mar 2012 13:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Meike Reichle <meike@alphascorpii.net>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Sat, 03 Mar 2012 13:42:17 GMT) Full text and rfc822 format available.

Message #21 received at 659832@bugs.debian.org (full text, mbox):

From: Meike Reichle <meike@alphascorpii.net>
To: 659832@bugs.debian.org
Subject: Retitle and change severity after testing
Date: Sat, 03 Mar 2012 14:39:00 +0100
tag 659832 + help wheezy sid

severity 659832 normal

retitle 659832 new version of login causes error messages on execution

thanks

I've just looked over this bug and as far as I can see, the new version of
login only causes sux to print the aforementioned error messages but does
not influence its general functioning. I tried running different programs
in a sux shell and they all seem to work as before. I therefore changed
the severity and title of this bug to reflect this. The messages may be
annoying but they do not "make the package in question unusable or mostly
so, or cause data loss, or introduce a security hole allowing access to
the accounts of users who use the package." [0]

If anyone has a test case that does indeed render sux unusable, that is,
it did work with the old sux but not any more with the new one, please let
me know.

I've further tagged the package to reflect that this bug only occurs in
testing and unstable but does not affect stable.

Please notice that I am currently in VAC status (marked as temporarily
absent from the Debian project) so further replies to this bug report may
be delayed (as was this one). Because of this I've also tagged this bug
help. If anyone else knows a solution for this feel free to let me know or
NMU.

Kind regards,
Meike Reichle


[0] http://www.debian.org/Bugs/Developer#severities




Added tag(s) sid, wheezy, and help. Request was from Meike Reichle <meike@alphascorpii.net> to control@bugs.debian.org. (Sat, 03 Mar 2012 13:42:19 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'grave' Request was from Meike Reichle <meike@alphascorpii.net> to control@bugs.debian.org. (Sat, 03 Mar 2012 13:42:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'new version of login causes error messages on execution' from 'sux must be fixed to continue to work with new version of login' Request was from Meike Reichle <meike@alphascorpii.net> to control@bugs.debian.org. (Sat, 03 Mar 2012 13:42:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Tue, 06 Mar 2012 11:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Petricek <martin.petricek@lmc.eu>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Tue, 06 Mar 2012 11:27:22 GMT) Full text and rfc822 format available.

Message #32 received at 659832@bugs.debian.org (full text, mbox):

From: Martin Petricek <martin.petricek@lmc.eu>
To: 659832@bugs.debian.org
Subject: Re: sux must be fixed to continue to work with new version of login
Date: Tue, 06 Mar 2012 12:08:26 +0100
Package: sux
Version: 1.0.1-6
Severity: important

The bug is worse than just one annoying message at start of shell using
sux - if you press Ctrl-C to terminate some command that runs in the
shell, it will terminate the shell with the command, but it will not
terminate the command itself, which is very annoying, making is quite
often very unusable.(you try to terminate something, but then you'll
kill the terminal and the command often continues running in the
background until you manually kill it)

I am not sure how to fix it, other distros may already have some fix
(didn't find any, though ...)

Martin




Severity set to 'important' from 'normal' Request was from Martin Petricek <martin.petricek@lmc.eu> to control@bugs.debian.org. (Tue, 06 Mar 2012 13:06:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Fri, 09 Mar 2012 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Gouget <fgouget@free.fr>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Fri, 09 Mar 2012 12:03:11 GMT) Full text and rfc822 format available.

Message #39 received at 659832@bugs.debian.org (full text, mbox):

From: Francois Gouget <fgouget@free.fr>
To: 659832@bugs.debian.org
Subject: Re: new version of login causes error messages on execution
Date: Fri, 9 Mar 2012 13:00:49 +0100 (CET)
I agree that this is very annoying, especially the part about Ctrl+C no 
working and killing the current shell.

I also think this is a bug in su itself caused by the fix to bug 
#628843. So I reported it as bug #663200 against the login package:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=663200

As a workaround I have reverted my login package to 
1:4.1.4.2+svn3283-2+squeeze1 for now.

-- 
Francois Gouget <fgouget@free.fr>              http://fgouget.free.fr/
May your Tongue stick to the Roof of your Mouth with the Force of a Thousand Caramels.




Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Fri, 09 Mar 2012 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to phiebie@tele2.at:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Fri, 09 Mar 2012 17:27:03 GMT) Full text and rfc822 format available.

Message #44 received at 659832@bugs.debian.org (full text, mbox):

From: phiebie@tele2.at
To: 659832@bugs.debian.org
Subject: Re: new version of login causes error messages on execution
Date: Fri, 9 Mar 2012 17:33:26 +0100
It not only is annoying, but on the brink of corrupting the system!
Open as an user a xterm, sux in it, run aptitude herin and select one or 
more packages to be updated/reinstalled or whatsoever. When the files are 
fetched from the server, aptitude of course wants to install them. The 
first message you get is (abbreviated): dpkg-preconfigure is unable to 
reopen stdin. Are the packages now installed properly or is there a 
(slight?) chance, that something went wrong? 
And annoying is another thing on top of the mentioned mishaps from Martin 
and Francois.
Open as user again a xterm, sux in it and start herin f.i. the 
midnight-commander, then click on the fullscreen button of mc. What gets 
fullscreen is not mc - it stays at exactly the same size as it was - but 
the xterm.
I sincerely do hope, that someone out of the community is willing and able 
to help Meike to solve this mess.
Peter Holm.




Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Tue, 13 Mar 2012 17:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Tue, 13 Mar 2012 17:57:07 GMT) Full text and rfc822 format available.

Message #49 received at 659832@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <michael+db20090501@stapelberg.de>
To: 659832 <659832@bugs.debian.org>
Subject: Re: sux: bash prints ioctl warnings
Date: Tue, 13 Mar 2012 18:50:27 +0100
Hi,

So, su(1) has an internal flag called doshell, which is true if you use
something like "su", without an explicit command, and su will start an
interactive shell. doshell is false when you pass an argument using -c,
like sux does it.

In the case of doshell == false, su will close the tty and thus no job
control is possible.

So, either sux has to do the things which su does itself, or we need to
introduce a flag for su which changes behavior in such a way that the
tty will not be closed.

Best regards,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Tue, 13 Mar 2012 17:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Tue, 13 Mar 2012 17:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Tue, 13 Mar 2012 17:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <michael+db20090501@stapelberg.de>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Tue, 13 Mar 2012 17:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Thu, 19 Apr 2012 23:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to GSR <gsr.bugs@infernal-iceberg.com>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Thu, 19 Apr 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #64 received at 659832@bugs.debian.org (full text, mbox):

From: GSR <gsr.bugs@infernal-iceberg.com>
To: 659832@bugs.debian.org
Cc: phiebie@tele2.at, michael+db20090501@stapelberg.de, fgouget@free.fr, martin.petricek@lmc.eu, meike@alphascorpii.net, sthu.deus@gmail.com
Subject: Workaround for sux
Date: Fri, 20 Apr 2012 00:01:48 +0200
Hi:

More info: "jobs" works ... but "fg" fails. So scratch what I said
about "things working". I also got bitten by cancelling programs and
the console failing to print things properly, etc.

It seems you can use a workaround, by using "sux" and "su"; just open
a "sux" session to get the Xauth, and then use a "su" session to
launch X apps and perform all other operations that would make the
console go mad (there seems to be no Xauth clean up, so "su" can
launch X).

GSR
 




Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Fri, 04 May 2012 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Hunt <shoalcreek5@gmail.com>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Fri, 04 May 2012 21:54:03 GMT) Full text and rfc822 format available.

Message #69 received at 659832@bugs.debian.org (full text, mbox):

From: Brice Hunt <shoalcreek5@gmail.com>
To: 659832@bugs.debian.org
Subject: Quick and dirty workaround using sudo
Date: Fri, 4 May 2012 15:51:23 -0600
Until this bug can be fixed, I am using the following quick and dirty bash 
script to work around the issue. Note, this quick and dirty work around really 
is quick and dirty and may have security problems or other issues. The way it 
is written requires sudo, but if you don't mind entering passwords multiple 
times, it could be used with su -c instead of the first sudo and eliminate the 
second sudo in front of the su. I put this script in ~/bin/ as I'm the only 
one on my computer that ever needs to be root. I use this script in 
conjunction with a custom Konsole profile for whenever I need a root command 
line.

This script, as written, gets your xauth magic cookie, asks for your user 
password once to add the magic cookie to root's xauth file, then immediately 
reuses the sudo authorization to start a root command line.

~/bin/mysux

#!/bin/bash
 
 cookie=`xauth list $DISPLAY`
 sudo xauth add $cookie
 sudo su -

-- 
BH
~~~~~~~~~~~~~~~~~~~~
Randomly selected fortune cookie:
Rules for driving in New York:
	(1) Anything done while honking your horn is legal.
	(2) You may park anywhere if you turn your four-way flashers on.
	(3) A red light means the next six cars may go through the
	    intersection.
~~~~~~~~~~~~~~~~~~~~




Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Wed, 22 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Wed, 22 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #74 received at 659832@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 659832@bugs.debian.org
Cc: gsr.bugs@infernal-iceberg.com, sthu.deus@gmail.com, martin.petricek@lmc.eu, fgouget@free.fr, shoalcreek5@gmail.com
Subject: Re: new version of login causes error messages on execution (a solution)
Date: Wed, 22 Aug 2012 17:46:31 -0300
You can use:

$ su -p

or

$ su -m

instead sux -.

Regards,

Eriberto - Brazil



Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Sun, 02 Sep 2012 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Gouget <fgouget@free.fr>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Sun, 02 Sep 2012 10:00:03 GMT) Full text and rfc822 format available.

Message #79 received at 659832@bugs.debian.org (full text, mbox):

From: Francois Gouget <fgouget@free.fr>
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 659832@bugs.debian.org, gsr.bugs@infernal-iceberg.com, sthu.deus@gmail.com, martin.petricek@lmc.eu, shoalcreek5@gmail.com
Subject: Re: new version of login causes error messages on execution (a solution)
Date: Sun, 2 Sep 2012 11:56:17 +0200 (CEST)
[Message part 1 (text/plain, inline)]
On Wed, 22 Aug 2012, Eriberto wrote:

> You can use:
> 
> $ su -p
> 
> or
> 
> $ su -m
> 
> instead sux -.

This can be used as an imperfect workaround but it is not the same at 
all. 'su -p' and 'su -m' preserve the current user environment whereas 
'sux -' resets it entirely.

What's really needed is for bug #659878 to be fixed.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659878

-- 
Francois Gouget <fgouget@free.fr>              http://fgouget.free.fr/
                           La terre est une bêta...

Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Sun, 02 Sep 2012 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Sun, 02 Sep 2012 11:57:03 GMT) Full text and rfc822 format available.

Message #84 received at 659832@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Francois Gouget <fgouget@free.fr>
Cc: 659832@bugs.debian.org, gsr.bugs@infernal-iceberg.com, sthu.deus@gmail.com, martin.petricek@lmc.eu, shoalcreek5@gmail.com
Subject: Re: new version of login causes error messages on execution (a solution)
Date: Sun, 2 Sep 2012 08:54:56 -0300
Ok. I agree.

Regrads.

2012/9/2 Francois Gouget <fgouget@free.fr>:
> On Wed, 22 Aug 2012, Eriberto wrote:
>> You can use:
>> $ su -p or $ su -m
>
> This can be used as an imperfect workaround but it is not the same at
> all. 'su -p' and 'su -m' preserve the current user environment whereas
> 'sux -' resets it entirely.
>
> What's really needed is for bug #659878 to be fixed.



Merged 659832 659912 692412 Request was from Maximiliano Curia <maxy@debian.org> to control@bugs.debian.org. (Wed, 20 Feb 2013 10:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Fri, 22 Feb 2013 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to hu <uwe@hebertsbach17.de>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Fri, 22 Feb 2013 22:27:04 GMT) Full text and rfc822 format available.

Message #91 received at 659832@bugs.debian.org (full text, mbox):

From: hu <uwe@hebertsbach17.de>
To: <659832@bugs.debian.org>
Subject: Re: new version of login causes error messages on execution
Date: Fri, 22 Feb 2013 23:18:28 +0100
Ok. I agree,too; 1 jahr später.
(Ceterum censeo Carthaginem esse delendam)

This workaround helps for me:
a) ~/.bash_aliases:
alias sux='/home/uwe/bin/mysux'

b) ~/bin/mysux:
#!/bin/bash
echo "als Ersatz ausgeführt für sux:" $0
#cookie=`xauth list $DISPLAY`
###from 
http://stackoverflow.com/questions/8916834/writing-bash-script-for-x-11-forwarding
sudo xauth add $(xauth list :${DISPLAY##*:})
sudo su -

sincerely
-- 
LG hu



2012/9/2 Francois Gouget <fgouget@free.fr>:
> On Wed, 22 Aug 2012, Eriberto wrote:
....
> What's really needed is for bug #659878 to be fixed.





Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Mon, 25 Feb 2013 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Mon, 25 Feb 2013 19:24:03 GMT) Full text and rfc822 format available.

Message #96 received at 659832@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 659832@bugs.debian.org
Cc: martin.petricek@lmc.eu, fgouget@free.fr
Subject: Re: new version of login causes error messages on execution
Date: Mon, 25 Feb 2013 16:20:09 -0300
Hey! A new fact!

When logged as common user and using Konsole (KDE), I perceived if a
tab is using  "sux -" to get root, all others tabs using "su -" will
be able to open graphical programs. It is a simple solution to avoid
the "Crtl C" problem.

Can anyone test it over others graphical consoles and report the results?

I hope this help.

Regrads,

Eriberto - Brazil



Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Mon, 25 Feb 2013 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Gouget <fgouget@free.fr>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Mon, 25 Feb 2013 20:03:03 GMT) Full text and rfc822 format available.

Message #101 received at 659832@bugs.debian.org (full text, mbox):

From: Francois Gouget <fgouget@free.fr>
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 659832@bugs.debian.org, martin.petricek@lmc.eu
Subject: Re: new version of login causes error messages on execution
Date: Mon, 25 Feb 2013 21:02:10 +0100 (CET)
On Mon, 25 Feb 2013, Eriberto wrote:

> Hey! A new fact!
> 
> When logged as common user and using Konsole (KDE), I perceived if a
> tab is using  "sux -" to get root, all others tabs using "su -" will
> be able to open graphical programs. It is a simple solution to avoid
> the "Crtl C" problem.
> 
> Can anyone test it over others graphical consoles and report the results?

It should work the same way. It's still an ugly workaround. login should 
be fixed.

-- 
Francois Gouget <fgouget@free.fr>              http://fgouget.free.fr/
            Before you criticize someone, walk a mile in his shoes.
       That way, if he gets angry, he'll be a mile away - and barefoot.



Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Mon, 25 Feb 2013 20:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Mon, 25 Feb 2013 20:27:09 GMT) Full text and rfc822 format available.

Message #106 received at 659832@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Francois Gouget <fgouget@free.fr>
Cc: 659832@bugs.debian.org, martin.petricek@lmc.eu
Subject: Re: new version of login causes error messages on execution
Date: Mon, 25 Feb 2013 17:24:18 -0300
Sure. Login should be fixed. It is a simple solution when we waiting the fix.

[]s

2013/2/25 Francois Gouget <fgouget@free.fr>:
> It should work the same way. It's still an ugly workaround. login should
> be fixed.



Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:38:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Mon, 08 Jul 2013 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "opensource@tigusoft.pl" <opensource@tigusoft.pl>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Mon, 08 Jul 2013 12:09:05 GMT) Full text and rfc822 format available.

Message #113 received at 659832@bugs.debian.org (full text, mbox):

From: "opensource@tigusoft.pl" <opensource@tigusoft.pl>
To: 659832@bugs.debian.org
Subject: severity, summarize, confirmed on gentoo. upstream?
Date: Mon, 8 Jul 2013 13:56:20 +0200

severity 659832 serious
retitle 659832 sux (-1) Inappropriate ioctl, fails with sudo and with Ctrl-C

To sum it up, this is grave (or serious) bug, because programs run via sux do 
not have working Ctrl-C (it kills the shell not the program)

and because you can't do  sudo sux foo   which is very useful in many cases.


The same problems are present in Gentoo for example.
Did upstream or any distro resolved this yet?




Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Sun, 08 Dec 2013 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Sun, 08 Dec 2013 14:12:04 GMT) Full text and rfc822 format available.

Message #118 received at 659832@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 659832@bugs.debian.org
Subject: Re: new version of login causes error messages on execution
Date: Sun, 8 Dec 2013 12:09:47 -0200
Ok. sux appears dead by the upstream and orphan in Debian. So, I am using:

$ xhost +
$ su -

I know this is generical, but is a solution now. I wrote this to help beginners.

Regards,

Eriberto



Information forwarded to debian-bugs-dist@lists.debian.org, agaida@siduction.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Sun, 08 Dec 2013 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alf Gaida <agaida@siduction.org>:
Extra info received and forwarded to list. Copy sent to agaida@siduction.org, Meike Reichle <meike@debian.org>. (Sun, 08 Dec 2013 20:12:05 GMT) Full text and rfc822 format available.

Message #123 received at 659832@bugs.debian.org (full text, mbox):

From: Alf Gaida <agaida@siduction.org>
To: Debian Bug Tracking System <659832@bugs.debian.org>
Subject: sux: This package seems not to be maintained anymore. It should be removed from repository.
Date: Sun, 08 Dec 2013 21:08:09 +0100
Package: sux
Version: 1.0.1-6
Followup-For: Bug #659832

Dear Maintainer,
please fix the job control bug or consider to remove this package from repository.
It's not nearly unusable - it is unusable for the normal user.

Thanks Alf


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.12-2.towo-siduction-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

sux depends on no packages.

Versions of packages sux recommends:
ii  xauth  1:1.0.7-1

sux suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Thu, 26 Dec 2013 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mancha1@hush.com:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Thu, 26 Dec 2013 22:09:04 GMT) Full text and rfc822 format available.

Message #128 received at 659832@bugs.debian.org (full text, mbox):

From: "mancha" <mancha1@hush.com>
To: 659832@bugs.debian.org
Subject: No subject
Date: Thu, 26 Dec 2013 21:29:39 +0000
Hello.

This is due to changes introduced in su in shadow 4.1.5 to address
CVE-2005-4890. They amount, in sum, to dropping the controlling TTY
when su is used non-interactively.

While the threat of command injection does exist, shadow's omni
directional solution is overkill. 

As I documented back in May (http://seclists.org/oss-
sec/2013/q2/374),
crippling "su -c" when escalating privileges (i.e. callee is root)
is unwarranted. After all, we're not really worried about root
injecting commands to a non-privileged user.

Feel free to use the patch I constructed that addresses the issue
being reported when sux (or any other su frontend/wrapper) invokes
su non-interactively to escalate privs: 

http://sf.net/projects/mancha/files/misc/shadow-4.1.5.1_CVE-2005-
4890_relax.diff

This patch makes sure the controlling terminal isn't dropped when
the callee is root while still protecting from command injection
from an unprivileged tty to a privileged one.

--mancha




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 01 Jan 2014 17:30:21 GMT) Full text and rfc822 format available.

Notification sent to GSR <gsr.bugs@infernal-iceberg.com>:
Bug acknowledged by developer. (Wed, 01 Jan 2014 17:30:21 GMT) Full text and rfc822 format available.

Message #133 received at 659832-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 516937-done@bugs.debian.org,602235-done@bugs.debian.org,609492-done@bugs.debian.org,645472-done@bugs.debian.org,659832-done@bugs.debian.org,695920-done@bugs.debian.org,699737-done@bugs.debian.org,719735-done@bugs.debian.org,
Cc: sux@packages.debian.org, sux@packages.qa.debian.org
Subject: Bug#726544: Removed package(s) from unstable
Date: Wed, 01 Jan 2014 17:26:42 +0000
Version: 1.0.1-6+rm

Dear submitter,

as the package sux has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/726544

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 01 Jan 2014 17:30:21 GMT) Full text and rfc822 format available.

Notification sent to Antonio Russo <aerusso@ucla.edu>:
Bug acknowledged by developer. (Wed, 01 Jan 2014 17:30:22 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 01 Jan 2014 17:30:22 GMT) Full text and rfc822 format available.

Notification sent to walter@zequinha.it:
Bug acknowledged by developer. (Wed, 01 Jan 2014 17:30:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Meike Reichle <meike@debian.org>:
Bug#659832; Package sux. (Tue, 14 Jan 2014 21:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to GSR <gsr.bugs@infernal-iceberg.com>:
Extra info received and forwarded to list. Copy sent to Meike Reichle <meike@debian.org>. (Tue, 14 Jan 2014 21:27:09 GMT) Full text and rfc822 format available.

Message #146 received at 659832@bugs.debian.org (full text, mbox):

From: GSR <gsr.bugs@infernal-iceberg.com>
To: meike@alphascorpii.net
Cc: 659832@bugs.debian.org
Subject: Method using plain su found for Bug#659832
Date: Tue, 14 Jan 2014 21:40:13 +0100
[Message part 1 (text/plain, inline)]
[BCC to everyone that seems involved, 12 extra addresses, and trying
CC bug report too, just in case it works and the info can be stored
for public reference]

Hi,
owner@bugs.debian.org (2014-01-01 at 1730.21 +0000):
[...]

This time I had more luck when investigating alternatives... and I
think I have the solution using su, no need of wrappers, just PAM.
Probably also the reason sux is dead upstream and sux was pretty much
a Debian issue.

To /etc/pam.d/su add:
---8<---
# Forward xauth keys between users if invoker is root or UID 1000 or higher
session  optional  pam_xauth.so systemuser=999
--->8---

Proper change(s) so this stops biting so many people:
- patch /etc/pam.d/su (login package), commented out or (preferably) active
- patch su(1) man page (login package)
- patch xauth(1) man page (xauth package)

The man page changes should hint users towards pam_xauth(8), as it
seems to be simpler and more in line with current methods. The su(1)
doc talks about $XAUTHORITY and a general "Other environments might be
set by PAM modules", which is not what pam_xauth does (it generates
keys as needed, while $XAUTHORITY from invoker could be an unreadable
file).

Worst case just the pam.d/su file should have the info/example, like
it does for pam_wheel.so, pam_time.so or pam_limits.so, but I would
like more docs being also updated, even with just small changes to SEE
ALSO sections. Best would be enabled config and docs, so it works and
no need of having luck when searching what is going on.

So should 659832 be reopened and reassigned? New bug(s) opened against
other packages so config and documentation finally solves the issue?

GSR
 
[sux-solution.tgz (application/x-gtar-compressed, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:14:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.